import Segment from './Segment';
/**
 * @class
 * @description This class stores information about a Rendition
 * @exports Rendition
 */
export default class Rendition {
    uri: string;
    bandwidth: number;
    isAudio: boolean;
    bandwidthPosition: number;
    targetDuration: number;
    private segments;
    isMaxRendition: boolean;
    addSegment(uriKey: string, uriValue: any, pos: number): void;
    getSegment(uri: string): Segment | undefined;
    getSegmentsSize(): number;
    getSegments(): Map<string, Segment>;
}
